com.unitech.lib.pax

## Enum PA768eEnums.RfMode

- java.lang.Object
- - java.lang.Enum<PA768eEnums.RfMode>
  - - com.unitech.lib.pax.PA768eEnums.RfMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PA768eEnums.RfMode>
  Enclosing class:
    PA768eEnums

      public static enum PA768eEnums.RfMode
      extends java.lang.Enum<PA768eEnums.RfMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RF_103`
    `RF_120`
    `RF_202`
    `RF_203`
    `RF_222`
    `RF_223`
    `RF_225`
    `RF_226`
    `RF_241`
    `RF_244`
    `RF_285`
    `RF_302`
    `RF_323`
    `RF_344`
    `RF_345`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `value()`
    `static PA768eEnums.RfMode` | `valueOf(int code)`
    `static PA768eEnums.RfMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PA768eEnums.RfMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RF_103

          public static final PA768eEnums.RfMode RF_103

    - #### RF_302

          public static final PA768eEnums.RfMode RF_302

    - #### RF_120

          public static final PA768eEnums.RfMode RF_120

    - #### RF_323

          public static final PA768eEnums.RfMode RF_323

    - #### RF_202

          public static final PA768eEnums.RfMode RF_202

    - #### RF_345

          public static final PA768eEnums.RfMode RF_345

    - #### RF_344

          public static final PA768eEnums.RfMode RF_344

    - #### RF_223

          public static final PA768eEnums.RfMode RF_223

    - #### RF_222

          public static final PA768eEnums.RfMode RF_222

    - #### RF_241

          public static final PA768eEnums.RfMode RF_241

    - #### RF_244

          public static final PA768eEnums.RfMode RF_244

    - #### RF_285

          public static final PA768eEnums.RfMode RF_285

    - #### RF_203

          public static final PA768eEnums.RfMode RF_203

    - #### RF_226

          public static final PA768eEnums.RfMode RF_226

    - #### RF_225

          public static final PA768eEnums.RfMode RF_225

  - ### Method Detail

    - #### values

          public static PA768eEnums.RfMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PA768eEnums.RfMode c : PA768eEnums.RfMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PA768eEnums.RfMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public int value()

    - #### valueOf

          public static PA768eEnums.RfMode valueOf(int code)